Index: CKEditor/trunk/_source/lang/de.js
===================================================================
--- CKEditor/trunk/_source/lang/de.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/de.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Formular',
 		checkbox		: 'Checkbox',
-		radio		: 'Radiobutton',
+		radio			: 'Radiobutton',
 		textField		: 'Textfeld einzeilig',
 		textarea		: 'Textfeld mehrzeilig',
 		hiddenField		: 'verstecktes Feld',
 		button			: 'Klickbutton',
-		select	: 'Auswahlfeld',
+		select			: 'Auswahlfeld',
 		imageButton		: 'Bildbutton',
 		notSet			: '<nichts>',
@@ -89,9 +93,17 @@
 		ok				: 'OK',
 		cancel			: 'Abbrechen',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Allgemein',
 		advancedTab		: 'Erweitert',
-		validateNumberFailed	: 'Dieser Wert ist keine Nummer.',
+		validateNumberFailed : 'Dieser Wert ist keine Nummer.',
 		confirmNewPage	: 'Alle nicht gespeicherten Änderungen gehen verlohren. Sind sie sicher die neue Seite zu laden?',
 		confirmCancel	: 'Einige Optionen wurden geändert. Wollen Sie den Dialog dennoch schließen?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Erweitert',
 		type		: 'Link-Typ',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Anker in dieser Seite',
 		toEmail		: 'E-Mail',
-		target		: 'Zielseite',
-		targetNotSet	: '<nichts>',
-		targetFrame	: '<Frame>',
-		targetPopup	: '<Pop-up Fenster>',
-		targetNew	: 'Neues Fenster (_blank)',
-		targetTop	: 'Oberstes Fenster (_top)',
-		targetSelf	: 'Gleiches Fenster (_self)',
-		targetParent	: 'Oberes Fenster (_parent)',
+		targetFrame		: '<Frame>',
+		targetPopup		: '<Pop-up Fenster>',
 		targetFrameName	: 'Ziel-Fenster-Name',
 		targetPopupName	: 'Pop-up Fenster-Name',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Größe änderbar',
 		popupStatusBar	: 'Statusleiste',
-		popupLocationBar	: 'Adress-Leiste',
+		popupLocationBar: 'Adress-Leiste',
 		popupToolbar	: 'Werkzeugleiste',
 		popupMenuBar	: 'Menü-Leiste',
@@ -144,5 +151,4 @@
 		id				: 'Id',
 		langDir			: 'Schreibrichtung',
-		langDirNotSet	: '<nichts>',
 		langDirLTR		: 'Links nach Rechts (LTR)',
 		langDirRTL		: 'Rechts nach Links (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Rahmen',
 		align		: 'Ausrichtung',
-		alignNotSet	: '<keine>',
 		alignLeft	: 'Links',
 		alignCenter	: 'Zentriert',
@@ -211,4 +216,5 @@
 		widthPx		: 'Pixel',
 		widthPc		: '%',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Höhe',
 		cellSpace	: 'Zellenabstand außen',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: '"Anzahl Zeilen verbinden" muss eine Ganzzahl sein.',
 			invalidColSpan	: '"Anzahl Spalten verbinden" muss eine Ganzzahl sein.',
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Action',
 		method		: 'Method',
-		encoding	: 'Zeichenkodierung',
-		target		: 'Zielseite',
-		targetNotSet	: '<keins>',
-		targetNew	: 'Neues Fenster (_blank)',
-		targetTop	: 'Oberstes Fenster (_top)',
-		targetSelf	: 'Gleiches Fenster (_self)',
-		targetParent	: 'Oberes Fenster (_parent)'
+		encoding	: 'Zeichenkodierung'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Bildbutton-Eigenschaften',
 		menu		: 'Bild-Eigenschaften',
-		infoTab	: 'Bild-Info',
+		infoTab		: 'Bild-Info',
 		btnUpload	: 'Zum Server senden',
-		url		: 'URL',
-		upload	: 'Hochladen',
-		alt		: 'Alternativer Text',
+		upload		: 'Hochladen',
+		alt			: 'Alternativer Text',
 		width		: 'Breite',
-		height	: 'Höhe',
+		height		: 'Höhe',
 		lockRatio	: 'Größenverhältnis beibehalten',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Größe zurücksetzen',
-		border	: 'Rahmen',
-		hSpace	: 'Horizontal-Abstand',
-		vSpace	: 'Vertikal-Abstand',
+		border		: 'Rahmen',
+		hSpace		: 'Horizontal-Abstand',
+		vSpace		: 'Vertikal-Abstand',
 		align		: 'Ausrichtung',
 		alignLeft	: 'Links',
 		alignRight	: 'Rechts',
-		preview	: 'Vorschau',
 		alertUrl	: 'Bitte geben Sie die Bild-URL an',
-		linkTab	: 'Link',
+		linkTab		: 'Link',
 		button2Img	: 'Möchten Sie den gewählten Bild-Button in ein einfaches Bild umwandeln?',
 		img2Button	: 'Möchten Sie das gewählten Bild in einen Bild-Button umwandeln?',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Flash-Eigenschaften',
 		propertiesTab	: 'Eigenschaften',
-		title		: 'Flash-Eigenschaften',
-		chkPlay		: 'autom. Abspielen',
-		chkLoop		: 'Endlosschleife',
-		chkMenu		: 'Flash-Menü aktivieren',
-		chkFull		: 'Vollbildmodus erlauben',
- 		scale		: 'Skalierung',
+		title			: 'Flash-Eigenschaften',
+		chkPlay			: 'autom. Abspielen',
+		chkLoop			: 'Endlosschleife',
+		chkMenu			: 'Flash-Menü aktivieren',
+		chkFull			: 'Vollbildmodus erlauben',
+ 		scale			: 'Skalierung',
 		scaleAll		: 'Alles anzeigen',
 		scaleNoBorder	: 'ohne Rand',
@@ -411,38 +415,38 @@
 		access			: 'Skript Zugang',
 		accessAlways	: 'Immer',
-		accessSameDomain	: 'Gleiche Domain',
-		accessNever	: 'Nie',
-		align		: 'Ausrichtung',
-		alignLeft	: 'Links',
-		alignAbsBottom: 'Abs Unten',
-		alignAbsMiddle: 'Abs Mitte',
+		accessSameDomain: 'Gleiche Domain',
+		accessNever		: 'Nie',
+		align			: 'Ausrichtung',
+		alignLeft		: 'Links',
+		alignAbsBottom	: 'Abs Unten',
+		alignAbsMiddle	: 'Abs Mitte',
 		alignBaseline	: 'Baseline',
-		alignBottom	: 'Unten',
-		alignMiddle	: 'Mitte',
-		alignRight	: 'Rechts',
+		alignBottom		: 'Unten',
+		alignMiddle		: 'Mitte',
+		alignRight		: 'Rechts',
 		alignTextTop	: 'Text Oben',
-		alignTop	: 'Oben',
-		quality		: 'Qualität',
-		qualityBest		 : 'Beste',
-		qualityHigh		 : 'Hoch',
-		qualityAutoHigh	 : 'Auto Hoch',
-		qualityMedium	 : 'Medium',
-		qualityAutoLow	 : 'Auto Niedrig',
-		qualityLow		 : 'Niedrig',
-		windowModeWindow	 : 'Fenster',
-		windowModeOpaque	 : 'Deckend',
-		windowModeTransparent	 : 'Transparent',
-		windowMode	: 'Fenster Modus',
-		flashvars	: 'Variablen für Flash',
-		bgcolor	: 'Hintergrundfarbe',
-		width	: 'Breite',
-		height	: 'Höhe',
-		hSpace	: 'Horizontal-Abstand',
-		vSpace	: 'Vertikal-Abstand',
-		validateSrc : 'Bitte geben Sie die Link-URL an',
-		validateWidth : 'Breite muss eine Zahl sein.',
-		validateHeight : 'Höhe muss eine Zahl sein.',
-		validateHSpace : 'HSpace muss eine Zahl sein.',
-		validateVSpace : 'VSpace muss eine Zahl sein.'
+		alignTop		: 'Oben',
+		quality			: 'Qualität',
+		qualityBest		: 'Beste',
+		qualityHigh		: 'Hoch',
+		qualityAutoHigh	: 'Auto Hoch',
+		qualityMedium	: 'Medium',
+		qualityAutoLow	: 'Auto Niedrig',
+		qualityLow		: 'Niedrig',
+		windowModeWindow: 'Fenster',
+		windowModeOpaque: 'Deckend',
+		windowModeTransparent : 'Transparent',
+		windowMode		: 'Fenster Modus',
+		flashvars		: 'Variablen für Flash',
+		bgcolor			: 'Hintergrundfarbe',
+		width			: 'Breite',
+		height			: 'Höhe',
+		hSpace			: 'Horizontal-Abstand',
+		vSpace			: 'Vertikal-Abstand',
+		validateSrc		: 'Bitte geben Sie die Link-URL an',
+		validateWidth	: 'Breite muss eine Zahl sein.',
+		validateHeight	: 'Höhe muss eine Zahl sein.',
+		validateHSpace	: 'HSpace muss eine Zahl sein.',
+		validateVSpace	: 'VSpace muss eine Zahl sein.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 Element'
 	},
 
-	numberedlist : 'Nummerierte Liste',
-	bulletedlist : 'Liste',
-	indent : 'Einzug erhöhen',
-	outdent : 'Einzug verringern',
+	numberedlist	: 'Nummerierte Liste',
+	bulletedlist	: 'Liste',
+	indent			: 'Einzug erhöhen',
+	outdent			: 'Einzug verringern',
 
 	justify :
 	{
-		left : 'Linksbündig',
-		center : 'Zentriert',
-		right : 'Rechtsbündig',
-		block : 'Blocksatz'
+		left	: 'Linksbündig',
+		center	: 'Zentriert',
+		right	: 'Rechtsbündig',
+		block	: 'Blocksatz'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Die Sicherheitseinstellungen Ihres Browsers lassen es nicht zu, den Text automatisch kopieren. Bitte benutzen Sie die System-Zwischenablage über STRG-C (kopieren).',
 		pasteMsg	: 'Bitte fügen Sie den Text in der folgenden Box über die Tastatur (mit <STRONG>Strg+V</STRONG>) ein und bestätigen Sie mit <STRONG>OK</STRONG>.',
-		securityMsg	: 'Aufgrund von Sicherheitsbeschränkungen Ihres Browsers kann der Editor nicht direkt auf die Zwischenablage zugreifen. Bitte fügen Sie den Inhalt erneut in diesem Fenster ein.'
+		securityMsg	: 'Aufgrund von Sicherheitsbeschränkungen Ihres Browsers kann der Editor nicht direkt auf die Zwischenablage zugreifen. Bitte fügen Sie den Inhalt erneut in diesem Fenster ein.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'Der Text, den Sie einfügen möchten, scheint aus MS-Word kopiert zu sein. Möchten Sie ihn zuvor bereinigen lassen?',
-		toolbar : 'aus MS-Word einfügen',
-		title : 'aus MS-Word einfügen',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'Der Text, den Sie einfügen möchten, scheint aus MS-Word kopiert zu sein. Möchten Sie ihn zuvor bereinigen lassen?',
+		toolbar			: 'aus MS-Word einfügen',
+		title			: 'aus MS-Word einfügen',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Als Text einfügen',
-		title : 'Als Text einfügen'
+		button	: 'Als Text einfügen',
+		title	: 'Als Text einfügen'
 	},
 
 	templates :
 	{
-		button : 'Vorlagen',
-		title : 'Vorlagen',
-		insertOption: 'Aktuellen Inhalt ersetzen',
-		selectPromptMsg: 'Klicken Sie auf eine Vorlage, um sie im Editor zu öffnen (der aktuelle Inhalt wird dabei gelöscht!):',
-		emptyListMsg : '(keine Vorlagen definiert)'
+		button			: 'Vorlagen',
+		title			: 'Vorlagen',
+		insertOption	: 'Aktuellen Inhalt ersetzen',
+		selectPromptMsg	: 'Klicken Sie auf eine Vorlage, um sie im Editor zu öffnen (der aktuelle Inhalt wird dabei gelöscht!):',
+		emptyListMsg	: '(keine Vorlagen definiert)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Stil',
-		voiceLabel : 'Stilarten',
-		panelVoiceLabel : 'Stilart auswahl',
-		panelTitle1 : 'Block Stilart',
-		panelTitle2 : 'Inline Stilart',
-		panelTitle3 : 'Objekt Stilart'
+		label		: 'Stil',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block Stilart',
+		panelTitle2	: 'Inline Stilart',
+		panelTitle3	: 'Objekt Stilart'
 	},
 
 	format :
 	{
-		label : 'Format',
-		voiceLabel : 'Format',
-		panelTitle : 'Format',
-		panelVoiceLabel : 'Wählen Sie einen Absatzformat',
-
-		tag_p : 'Normal',
-		tag_pre : 'Formatiert',
-		tag_address : 'Addresse',
-		tag_h1 : 'Überschrift 1',
-		tag_h2 : 'Überschrift 2',
-		tag_h3 : 'Überschrift 3',
-		tag_h4 : 'Überschrift 4',
-		tag_h5 : 'Überschrift 5',
-		tag_h6 : 'Überschrift 6',
-		tag_div : 'Normal (DIV)'
+		label		: 'Format',
+		panelTitle	: 'Format',
+
+		tag_p		: 'Normal',
+		tag_pre		: 'Formatiert',
+		tag_address	: 'Addresse',
+		tag_h1		: 'Überschrift 1',
+		tag_h2		: 'Überschrift 2',
+		tag_h3		: 'Überschrift 3',
+		tag_h4		: 'Überschrift 4',
+		tag_h5		: 'Überschrift 5',
+		tag_h6		: 'Überschrift 6',
+		tag_div		: 'Normal (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Schriftart',
-		voiceLabel : 'Schriftart',
-		panelTitle : 'Schriftart',
-		panelVoiceLabel : 'Wählen Sie eine Schriftart'
+		label		: 'Schriftart',
+		voiceLabel	: 'Schriftart',
+		panelTitle	: 'Schriftart'
 	},
 
 	fontSize :
 	{
-		label : 'Größe',
-		voiceLabel : 'Schrifgröße',
-		panelTitle : 'Größe',
-		panelVoiceLabel : 'Wählen Sie eine Schriftgröße'
+		label		: 'Größe',
+		voiceLabel	: 'Schrifgröße',
+		panelTitle	: 'Größe'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Textfarbe',
-		bgColorTitle : 'Hintergrundfarbe',
-		auto : 'Automatisch',
-		more : 'Weitere Farben...'
+		textColorTitle	: 'Textfarbe',
+		bgColorTitle	: 'Hintergrundfarbe',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Automatisch',
+		more			: 'Weitere Farben...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Rechtschreibprüfung während der Texteingabe',
-		enable : 'SCAYT einschalten',
-		disable : 'SCAYT ausschalten',
-		about : 'Über SCAYT',
-		toggle : 'SCAYT umschalten',
-		options : 'Optionen',
-		langs : 'Sprachen',
-		moreSuggestions : 'Mehr Vorschläge',
-		ignore : 'Ignorieren',
-		ignoreAll : 'Alle ignorieren',
-		addWord : 'Wort hinzufügen',
-		emptyDic : 'Wörterbuchname sollte leer sein.',
-		optionsTab : 'Optionen',
-		languagesTab : 'Sprachen',
-		dictionariesTab : 'Wörterbücher',
-		aboutTab : 'Über'
+		title			: 'Rechtschreibprüfung während der Texteingabe',
+		enable			: 'SCAYT einschalten',
+		disable			: 'SCAYT ausschalten',
+		about			: 'Über SCAYT',
+		toggle			: 'SCAYT umschalten',
+		options			: 'Optionen',
+		langs			: 'Sprachen',
+		moreSuggestions	: 'Mehr Vorschläge',
+		ignore			: 'Ignorieren',
+		ignoreAll		: 'Alle ignorieren',
+		addWord			: 'Wort hinzufügen',
+		emptyDic		: 'Wörterbuchname sollte leer sein.',
+		optionsTab		: 'Optionen',
+		languagesTab	: 'Sprachen',
+		dictionariesTab	: 'Wörterbücher',
+		aboutTab		: 'Über'
 	},
 
 	about :
 	{
-		title : 'Über CKEditor',
-		dlgTitle : 'Über CKEditor',
-		moreInfo : 'Für Informationen Liztenzbestimmungen besuchen sie bitte unsere Webseite:',
-		copy : 'Copyright &copy; $1. Alle Rechte vorbehalten.'
+		title		: 'Über CKEditor',
+		dlgTitle	: 'Über CKEditor',
+		moreInfo	: 'Für Informationen Liztenzbestimmungen besuchen sie bitte unsere Webseite:',
+		copy		: 'Copyright &copy; $1. Alle Rechte vorbehalten.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anker',
-		flash : 'Flash Animation',
-		div : 'Seitenumbruch',
-		unknown : 'Unbekanntes Objekt'
+		anchor	: 'Anker',
+		flash	: 'Flash Animation',
+		div		: 'Seitenumbruch',
+		unknown	: 'Unbekanntes Objekt'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
